# $Revision: 1.33 $, $Date: 2005/05/12 23:06:22 $
Summary:	GNOME SMB Browser
Summary(es):	Explorador SMB para GNOME
Summary(fr):	Explorateur SMB pour GNOME
Summary(pl):	Przegldarka zasobw SMB dla GNOME
Summary(wa):	Foyteuse SMB pol GNOME
Name:		gnomba
Version:	0.6.2
Release:	8
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://gnomba.sourceforge.net/src/%{name}-%{version}.tar.gz
# Source0-md5:	698c40d2755c5b0d467e4de2f2119c0c
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-po.patch
Icon:		gnomba-logo.xpm
URL:		http://gnomba.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	samba-client >= 2.0.5

%description
gnomba is a GUI network browser using the smb protocol. It allows
users to browse workgroups, machines, and shares in a "Network
Neighborhood."

%description -l es
gnomba es un explorador grfico para buscar mquinas Samba o Windows
en la red local; similar a como funciona con el susodicho.

%description -l fr
gnomba est un explorateur graphique pour trouver les machines Samba ou
Windows du rseau local. Il permets une utilisation semblable  celle
du "Voisinage rseau" de Windows.

%description -l pl
Gnomba jest przegldark zasobw sieciowych wykorzystujc protok
smb. Pozwala na przegldanie grup, komputerw i zasobw w "Otoczeniu
sieciowym"

%description -l wa
gnomba est ene foyteuse grafike po trover des ndjoles Samba ou
Windows sol rantoele locle. Avou l vos poloz jheymint cweri et
monter des prteyes d' ndjoles windows oudoben eployi leus scrireces.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's/
$//' gnomba.desktop

%build
rm -rf missing
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	CODEPAGEDIR="/etc/samba/codepages" \
	LMHOSTSFILE="/etc/samba/lmhosts" \
	DRIVERFILE="/etc/samba/printers.def"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysdir=%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO NEWS BUGS AUTHORS
%attr(755,root,root) %{_bindir}/gnomba
%{_desktopdir}/gnomba.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomba.spec,v $
Revision 1.33  2005/05/12 23:06:22  ankry
- desktop fix, rel. 8

Revision 1.32  2004/10/02 14:58:05  gotar
- R: samba-client not samba

Revision 1.31  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.30  2004/08/04 06:22:47  ankry
- i18n fixes (-po patch), rel. 7

Revision 1.29  2004/07/23 05:26:21  ankry
- no -> nb in desktop, rel. 6

Revision 1.28  2004/07/14 09:07:04  ankry
- added -desktop patch, rel. 5

Revision 1.27  2004/07/04 12:22:40  havner
- applnk -> vfolders

Revision 1.26  2004/04/26 15:39:57  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.25  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.24  2003/06/13 22:15:31  ankry
- use file from http: updated md5

Revision 1.23  2003/06/13 22:14:35  ankry
- added md5 (src filr from old CVS - another one on http:)

Revision 1.22  2003/05/25 05:48:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.20  2002/11/27 20:15:40  juandon
- new %%doc

Revision 1.19  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.17  2002/05/21 23:13:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/05/09 18:28:50  saq
- update URL & Source0 URL

Revision 1.15  2002/04/25 16:25:59  arturs
fixed a small typo

Revision 1.14  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/28 13:47:33  qboosh
- adapterized

Revision 1.9  2001/08/12 15:38:53  blues
- Release 2
- ac 2.5 ready

Revision 1.8  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.7  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.6  2000/07/04 02:21:29  kloczek
- added pl translation from dist tar ball spec,
- added isung %%configure macro and DESTDIR style install,
- pass fixed CODEPAGEDIR, LMHOSTSFILE, DRIVERFILE variables to compile
  options,
- added man page,
- added gzipping %doc.

Revision 1.5  2000/06/26 10:51:24  wrobell
- up to 0.6.2
- desktop file moved to %{_applnk}/Internet/Misc
- %{_datadir}

Revision 1.4  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/18 23:46:00  kloczek
- spec adapterized.
